%li{class: "milestone milestone-#{milestone.closed? ? 'closed' : 'open'}", id: dom_id(milestone) }
  .pull-right
    - if can?(current_user, :admin_milestone, milestone.project) and milestone.active?
      = link_to edit_project_milestone_path(milestone.project, milestone), class: "btn btn-small edit-milestone-link btn-grouped" do
        %i.icon-edit
        = t("projects_section.milestones.edit")
      = link_to t("projects_section.milestones.close_milestone"), project_milestone_path(@project, milestone, milestone: {state_event: :close }), method: :put, remote: true, class: "btn btn-small btn-remove"
  %h4
    = link_to_gfm truncate(milestone.title, length: 100), project_milestone_path(milestone.project, milestone)
    - if milestone.expired? and not milestone.closed?
      %span.cred= t("projects_section.milestones.expired")
    %small
      = milestone.expires_at
  - if milestone.is_empty?
    %span.muted= t("projects_section.milestones.empty")
  - else
    %div
      %div
        = link_to project_issues_path(milestone.project, milestone_id: milestone.id) do
          = t("projects_section.milestones.issue_count", count: milestone.issues.count)
        &nbsp;
        = link_to project_merge_requests_path(milestone.project, milestone_id: milestone.id) do
          = t("projects_section.milestones.merge_request_count", count: milestone.merge_requests.count)
        &nbsp;
        %span.light 
          = "#{milestone.percent_complete}%"
          = t("projects_section.milestones.complete")
      .progress.progress-info
        .progress-bar{style: "width: #{milestone.percent_complete}%;"}
